## NAME

           grdtrack - Sampling of a 2-D grdfile along 1-D trackline (a sequence of
           x,y points)

## SYNOPSIS

           grdtrack xyfile -Ggrdfile [ -H[nrec] ] [ -Lflag ] [ -M[flag] ] [ -N ] [
           -Q[value]  [  -Rwest/east/south/north  ]  [ -S ] [ -V ] [ -Z ] [ -: ] [
           -bi[s][n] ] [ -f[i|o]colinfo ][ -bo[s][n] ]

## DESCRIPTION

           grdtrack reads a grdfile and a table (from file or standard input) with
           (x,y) positions in the first two columns (more columns may be present).
           It interpolates the grid at the positions in the table and  writes  out
           the table with the interpolated values added as a new column. A bicubic
           [Default] or bilinear [-Q] interpolation is  used,  requiring  boundary
           conditions at the limits of the region (see -L).

           xyfile This  is  an  ASCII  [or  binary, see -b] file where the first 2
                  columns hold the (x,y) positions where the user wants to  sample
                  the 2-D data set.

           -G     grdfile is a 2-D binary grd file with the function f(x,y).

## OPTIONS

           No space between the option flag and the associated arguments.

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing your  .gmtdefaults4  file.  If  used,  GMT
                  default  is  1  header record. Use -Hi if only input data should
                  have header records [Default will write out  header  records  if
                  the input data have them].

           -L     Boundary  condition  flag may be x or y or xy indicating data is
                  periodic in range of x or y or both set by -R, or flag may be  g
                  indicating  geographical  conditions  (x and y are lon and lat).
                  [Default uses "natural" conditions  (second  partial  derivative
                  normal to edge is zero).]

           -M     Multiple  segment  file. Segment separator is a record beginning
                  with flag.  [Default is ’>’].

           -N     Node value only: Return the value at the grid  node  closest  to
                  the point, no interpolation needed.

           -Q     Quick  mode,  use  bilinear  rather  than bicubic interpolation.
                  optionally, append value in the 0  <  value  <=  1  range.  This
                  parameter controls how close to nodes with NaN values the inter-
                  polation will go. E.g., a value of 0.5  will  interpolate  about
                  1/2-way  from a non-NaN to a NaN node, whereas 0.1 will go about
                  90% of the way, etc. [Default is 1, which means none of the four
                  nearby nodes may be NaN].

           -R     xmin,  xmax,  ymin, and ymax specify the Region of interest. For
                  geographic regions,  these  limits  correspond  to  west,  east,
                  south,  and north and you may specify them in decimal degrees or
                  in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r  if  lower  left
                  and  upper  right map coordinates are given instead of wesn. The
                  two shorthands  -Rg  -Rd  stand  for  global  domain  (0/360  or
                  -180/+180  in longitude respectively, with -90/+90 in latitude).
                  For calendar time coordinates you may either give relative  time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT; append t to -JX|x), or  absolute  time  of  the  form
                  [date]T[clock]  (append  T  to  -JX|x). At least one of date and
                  clock must be present; the T is always required. The date string
                  must  be  of  the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or
                  yyyy[-Www[-d]] (ISO week calendar), while the clock string  must
                  be  of  the form hh:mm:ss[.xxx]. The use of delimiters and their
                  type and positions must be as indicated  (however,  input/output
                  and plotting formats are flexible).

           -S     Suppress  the  output  of interpolated points that result in NaN
                  values.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -Z     Only   write  out  the  sampled  z-values  [Default  writes  all
                  columns].

           -:     Toggles between  (longitude,latitude)  and  (latitude,longitude)
                  input/output. [Default is (longitude,latitude)].

           -bi    Selects  binary input. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).
                  [Default is 2 input columns].

           -bo    Selects binary output. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).

           -f     Special  formatting  of  input  and output columns (time or geo-
                  graphical data) Specify i(nput) or  o(utput)  [Default  is  both
                  input  and output].  Give one or more columns (or column ranges)
                  separated by commas.  Append T (Absolute calendar time), t (time
                  relative  to  chosen TIME_EPOCH), x (longitude), y (latitude), g
                  (geographic coordinate), or f (floating point) to each column or
                  column range item.

## HINTS

           If  an  interpolation  point is not on a node of the input grid, then a
           NaN at any node in the neighborhood surrounding the point will yield an
           interpolated  NaN.  Bicubic  interpolation  [default] yields continuous
           first derivatives but requires a neighborhood of 4 nodes  by  4  nodes.
           Bilinear interpolation [-Q] uses only a 2 by 2 neighborhood, but yields
           only zeroth-order continuity. Use bicubic when smoothness is important.
           Use bilinear to minimize the propagation of NaNs.

## EXAMPLES

           To  sample  the file hawaii_topo.grd along the SEASAT track track_4.xyg
           (An ASCII table  containing  longitude,  latitude,  and  SEASAT-derived
           gravity, preceded by one header record):

           grdtrack track_4.xyg -Ghawaii_topo.grd -H > track_4.xygt

## SEE ALSO

           gmt(l), surface(l), sample1d(l)

    GMT4.0                            1 Oct 2004                       GRDTRACK(l)